//
//  FileAccessLib.h
//  WeMo
//
//  Created by Jun Pataleta on 11/11/04.
//  Copyright (c) 2011 Ubiquitous Technologies Philippines, Inc. All rights reserved.
//

#import <AssetsLibrary/AssetsLibrary.h>
#import "WeMo.h"

@interface FileAccessLib : WeMo {
    NSFileManager * fileManager;
    NSString * documentRoot;
    NSString * filePath;
}

@property(nonatomic, retain) NSFileManager * fileManager;
@property(nonatomic, retain) NSString * documentRoot;
@property(nonatomic, retain) NSString * filePath;

-(void) readFile:(NSString *) cbId params:(NSDictionary *) fileParams;
-(void) writeToFile:(NSString *) cbId params:(NSDictionary *) fileParams;
-(void) copyFile:(NSString *) cbId params:(NSDictionary *) fileParams;
-(void) moveFile:(NSString *) cbId params:(NSDictionary *) fileParams;
-(void) deleteFile:(NSString *) cbId params:(NSDictionary *) fileParams;
-(void) fileExists:(NSString *) cbId params:(NSDictionary *) fileParams;
-(void) pathIsDirectory:(NSString *) cbId params:(NSDictionary *) fileParams;
-(void) listDirectoryContents:(NSString *) cbId params:(NSDictionary *) fileParams;
-(void) createDir:(NSString *) cbId params:(NSDictionary *) fileParams;
-(void) getImageFromPath:(NSString *) cbId params:(NSDictionary *) fileParams;

@end
